| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Static Private Attributes

# IG::Lib::ReporterConsoleMsgboxSpeech Class Reference

Inheritance diagram for IG::Lib::ReporterConsoleMsgboxSpeech:
[legend]
Collaboration diagram for IG::Lib::ReporterConsoleMsgboxSpeech:
[legend]

List of all members.

## Public Member Functions
| ReporterConsoleMsgboxSpeech ()
| Constructor. Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.
| ReporterConsoleMsgboxSpeech (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate, ReserveReportErrorDelegate reservereportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values.
| ReporterConsoleMsgboxSpeech (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.
| ReporterConsoleMsgboxSpeech (object obj, ReportDelegate reportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.
| ReporterConsoleMsgboxSpeech (object obj, ReportDelegate reportdelegate, ReserveReportErrorDelegate reservereportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.
## Protected Member Functions
override void | InitBegin ()
| Initial part of initialization. Auxiliary object is not affected because default delegates do not utilize it.
override void | InitEnd ()
| Finalizing part of initialization. Auxiliary object is not affected because default delegates do not utilize it.
## Properties
static new bool | GlobalInitialized`[get]`
| Gets the value indicating whether the global reporter of this class has already been initialized.
static new ReporterConsoleMsgboxSpeech | Global`[get, set]`
| Gets the global reporter object. This is typically used for configuring the global reporter.
## Static Private Attributes
static ReporterConsoleMsgboxSpeech | _Global = null
static bool | _GlobalInitialized = false
static object | GlobalLock = new object()

## Constructor & Destructor Documentation

IG::Lib::ReporterConsoleMsgboxSpeech::ReporterConsoleMsgboxSpeech | ( |  | ) | `[inline]`

Constructor. Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.

IG::Lib::ReporterConsoleMsgboxSpeech::ReporterConsoleMsgboxSpeech | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values.

Parameters:

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  locationdelegate | Delegate that is called to assemble the error location string. The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  messagedelegate | Delegate that is called to assemble the error message (without decorations). The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

IG::Lib::ReporterConsoleMsgboxSpeech::ReporterConsoleMsgboxSpeech | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.

IG::Lib::ReporterConsoleMsgboxSpeech::ReporterConsoleMsgboxSpeech | ( | object | obj,
|  | ReportDelegate | reportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.

IG::Lib::ReporterConsoleMsgboxSpeech::ReporterConsoleMsgboxSpeech | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.

Parameters:

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

## Member Function Documentation

override void IG::Lib::ReporterConsoleMsgboxSpeech::InitBegin | ( |  | ) | `[inline, protected, virtual]`

Initial part of initialization. Auxiliary object is not affected because default delegates do not utilize it.

Reimplemented from IG::Lib::ReporterBase.

override void IG::Lib::ReporterConsoleMsgboxSpeech::InitEnd | ( |  | ) | `[inline, protected, virtual]`

Finalizing part of initialization. Auxiliary object is not affected because default delegates do not utilize it.

Reimplemented from IG::Lib::ReporterBase.

## Member Data Documentation

ReporterConsoleMsgboxSpeech IG::Lib::ReporterConsoleMsgboxSpeech::_Global = null`[static, private]`

Reimplemented from IG::Lib::ReporterBase.

bool IG::Lib::ReporterConsoleMsgboxSpeech::_GlobalInitialized = false`[static, private]`

Reimplemented from IG::Lib::ReporterBase.

object IG::Lib::ReporterConsoleMsgboxSpeech::GlobalLock = new object()`[static, private]`

Reimplemented from IG::Lib::ReporterBase.

## Property Documentation

new bool IG::Lib::ReporterConsoleMsgboxSpeech::GlobalInitialized`[static, get]`

Gets the value indicating whether the global reporter of this class has already been initialized.

Reimplemented from IG::Lib::ReporterBase.

new ReporterConsoleMsgboxSpeech IG::Lib::ReporterConsoleMsgboxSpeech::Global`[static, get, set]`

Gets the global reporter object. This is typically used for configuring the global reporter.

Reimplemented from IG::Lib::ReporterBase.

The documentation for this class was generated from the following file:

- ReporterMsg_Speech/ReporterMsg_Speech.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events